Pixy problem on nVidia Tegra TX2 [aarch-64]

Added by Bill Ulrich 10 months ago

Hello all,

I got a shiny new Pixy for XMas and I'm trying to connect it to an Ubuntu 16.04 system running on a Tegra TX2 (ARMv8). The camera works fine on my 16.04 laptop (amd64 kernel) but when I go to run PixyMon on the TX2 all I get in the text area of the app is:

Pixy detected
> runprogArg 8.1
error: procedure unsupported

I see RPi instructions, so I assume that running on an ARM chip should be OK. I was going to try rebuilding the firmware but it didn't seem like it could be recompiled with just the generic GNU toolchain.

So - anyone have any thoughts or suggestions? Thanks in advance.

Bill


Replies (3)

RE: Pixy problem on nVidia Tegra TX2 [aarch-64] - Added by Edward Getz 10 months ago

Hello Bill,
I believe someone else has tried this, although I'm having trouble locating the thread. It looked like a libusb incompatability issue, if I remember correctly but that probably doesn't help much. We didn't have the platform and wasn't able to find a straightforward solution without debugging on the platform.

Is this the platform you're using?

https://www.nvidia.com/en-us/autonomous-machines/embedded-systems-dev-kits-modules/

Edward

RE: Pixy problem on nVidia Tegra TX2 [aarch-64] - Added by Bill Ulrich 10 months ago

Yes, that's the platform I'm using! If you think it's possible to get it working on the TX2 I'll take some time and see if I can trace the problem to the source. Since it's working on the Raspberry Pi I'm inclined to think we can get it working on this system too. I'll post any progress I make back to the forums - thanks for taking the time to respond and if you have any additional ideas or pointers, please let me know.

Cheers,

Bill

RE: Pixy problem on nVidia Tegra TX2 [aarch-64] - Added by Edward Getz 10 months ago

Hi Bill,
It looks like an interesting device. I'm curious what you are working on :)

Edward

(1-3/3)